Bug 434513

Summary: File is not selected right after creating it
Product: plasmashell Reporter: Derek Christ <christ.derek>
Component: FolderAssignee: Eike Hein <hein>
Status: RESOLVED FIXED    
Severity: normal CC: bugseforuns, nate, plasma-bugs
Priority: NOR Keywords: usability
Version: 5.21.2   
Target Milestone: 1.0   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In: 5.24

Description Derek Christ 2021-03-16 20:43:47 UTC
SUMMARY
In Dolphin, when you create a new file or folder, you will get a popup where you can type the name of the file and press enter. Then the file will be created and automatically selected. This is good behavior because the user can now simply hit Enter (or Alt+Enter, or F2, etc...) to open the file immediately (or open the file menu, or rename again, etc...) without the need of the mouse.

When a new file on the desktop gets created this is not the case. The user needs to select it with the mouse right after creating the file.
The new file should be selected here too, just like in Dolphin.

STEPS TO REPRODUCE
1. Create a new file/folder on the desktop
2. The file will not be automatically selected

OBSERVED RESULT
Not selected

EXPECTED RESULT
Selected

SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20210315
KDE Plasma Version: 5.21.2
KDE Frameworks Version: 5.79.0
Qt Version: 5.15.2
Comment 1 Nate Graham 2021-03-18 16:52:22 UTC
Yeah, this is inconsistent with Dolphin and kdiroperator.
Comment 2 Nate Graham 2022-01-04 18:25:37 UTC
Git commit c1865ba844808b15642df6c6c97747bbaa3d7616 by Nate Graham, on behalf of Derek Christ.
Committed on 04/01/2022 at 18:18.
Pushed by ngraham into branch 'master'.

Fix bug 434513: Item not selected after creating it

Fix bug 434513 where a newly created item is not selected right after
creating it like in Dolphin.
Also, when items are moved around on the desktop, they don't lose their
selection when they are dropped anymore.

M  +16   -1    containments/desktop/package/contents/ui/FolderView.qml
M  +2    -1    containments/desktop/plugins/folder/foldermodel.cpp
M  +2    -1    containments/desktop/plugins/folder/foldermodel.h
M  +21   -2    containments/desktop/plugins/folder/positioner.cpp
M  +1    -0    containments/desktop/plugins/folder/positioner.h

https://invent.kde.org/plasma/plasma-desktop/commit/c1865ba844808b15642df6c6c97747bbaa3d7616